package com.company.bpmdemo.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.PublishEntityChangedEvents;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@NamePattern("%s|number")
@Table(name = "BPMDEMO_CONTRACT")
@Entity(name = "bpmdemo_Contract")
@PublishEntityChangedEvents
public class Contract extends StandardEntity {
    private static final long serialVersionUID = 8696823820724777787L;

    @Column(name = "NAME")
    protected String number;

    @Column(name = "STATE")
    protected String state;

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }
}